
$!------------------ Distribution and Copyright -----------------
$!--
$!- This software is copyright by the CENA/DGAC/FRANCE
$!-- All rights reserved.
$!--
$!-- No part of the material protected by this copyright notice
$!-- may be reproduced or utilized for commercial use in any form
$!-- without written permission of the copyright owner.
$!--
$!-- It may be reproduced or utilized for R&D use in Non Profit
$!-- Organization
$!--
$!---------------------------------------------------------------


$!------------------ Disclaimer ---------------------------------
$!--
$!-- This software and its documentation are provided "AS IS" and
$!-- without any expressed or implied warranties whatsoever.
$!-- No warranties as to performance, merchantability, or fitness
$!-- for a particular purpose exist.
$!--
$!-- Because of the diversity of conditions and hardware under
$!-- which this software may be used, no warranty of fitness for
$!-- a particular purpose is offered.  The user is advised to
$!-- test the software thoroughly before relying on it.  The user
$!-- must assume the entire risk and liability of using this
$!-- software.
$!--
$!-- In no event shall any person or organization of people be
$!-- held responsible for any direct, indirect, consequential
$!-- or inconsequential damages or lost profits.
$!--                                                           
$!-------------------END-PROLOGUE--------------------------------




$!++
$!
$! Titre:	   BUILD
$!
$! Sujet:	   Fichier de procedure pour la reconstruction d'un module
$!		   Pascal (interface + implementation) et son insertion dans
$!		   une librarie d'objets.
$!
$! Version:	   1.3
$!
$! Description:	   Le module doit en fait se decomposer en 2 fichiers, un pour
$!		   la partie interface et l'autre pour la partie
$!		   implementation.
$!		   Ils doivent respecter le format suivant: file_V_x_x.PAS
$!
$!		   Si P1 = 1, alors compilation de l'interface
$!		   Si P1 = 2, alors compilation de l'implementation
$!		   Si P1 = 3, alors compilation de tout
$!
$!		   Si P2 = F, alors phase finale
$!
$! Langage:	   DCL
$!
$! Fichier:	   BUILD.COM
$!
$! Environnement:  Machine cible:          VAX
$!		   Systeme d'exploitation: VMS Version 5.4-3
$!
$! Auteur:	   Martin VICENTE (DGAC/CENA/SID)
$!
$!		   E-mail: vicente@cenaath.cena.dgac.fr
$!
$!		   Mail:   C.E.N.A.
$!			   Div. Support Informatique & Developpement
$!			   Orly Sud 205
$!			   94 542 ORLY AEROGARE CEDEX, FRANCE
$!
$! Creation:	   19/05/92
$!
$! Modification:   01/07/92
$!
$!--
$
$
$!====  PARAMETRES DU PROGRAMME  ==============================================
$
$ TIT     = "KBD$ROUTINES"		! Titre
$ FIC_INT = "PASCAL$KBD_ROUTINES"	! Nom du fichier interface
$ FIC_IMP = "KBD$ROUTINES"		! Nom du fichier implementation
$ VER     = ""				! Version (respectez le format)
$ LIB     = "MYLIB"			! Librairie
$
$!====  LISTE DES ETIQUETTES  =================================================
$!
$! afp  AFFICHER PAVE NUMERIQUE
$! gtm  GET TIME
$! int  COMPILER INTERFACE
$! imp  COMPILER IMPLEMENTATION
$! tou  TOUT COMPILER
$! cin  COMPILER INTERFACE
$! cim  COMPILER IMPLEMENTATION
$!
$!====  DEFINITION DES SYMBOLES  ==============================================
$
$ AFFICHER   := write sys$output
$ LIGNE_VIDE := "''AFFICHER' """
$
$ VC = "''VIDEO_C'"
$ VI = "''VIDEO_I'"
$ VB = "''VIDEO_B'"
$ VN = "''VIDEO_N'"
$
$!====  DEBUT DU PROGRAMME  ===================================================
$
$ if p1 .eqs. "" then goto afp!AFFICHER PAVE NUMERIQUE
$
$ gosub gtm!GET TIME
$
$ DATE  = f$extract(0,11,TIME)
$ HEURE = f$extract(12,5,TIME)
$ TITRE = "''VI'BUILD DE ''TIT' LE ''DATE' A ''HEURE'''VN'"
$
$ EFFACER := delete/since='TIME'
$
$ if p2 .eqs. "F"
$   then
$     SOUSTITRE = "Version ''VER' - Phase finale"
$     COMPILER := pascal/warning/nocheck/optimize=all
$   else
$     SOUSTITRE = "Version ''VER' - Phase de developpement"
$     COMPILER := pascal/warning/check=all/nooptimize
$ endif
$
$ if p1 .eqs. "1"
$   then
$     gosub int!COMPILER INTERFACE
$   else
$     if p1 .eqs. "2"
$	then
$         gosub imp!COMPILER IMPLEMENTATION
$	else
$         if p1 .eqs. "3"
$	    then
$             gosub tou!TOUT COMPILER
$	    else
$             AFFICHER "%BUILD-E-PARINV, parametre invalide"
$	      AFFICHER " \''p1'\"
$	  endif
$     endif
$ endif
$
$ exit
$
$ afp:!AFFICHER PAVE NUMERIQUE
$
$	DEF := define/key/terminate/nolog
$
$	DEF help "@ BUILD"
$	DEF kp1  "@ BUILD 1"
$	DEF kp2  "@ BUILD 2"
$	DEF kp3  "@ BUILD 3"
$
$	set terminal/application_keypad
$
$	LIGNE_VIDE
$	AFFICHER  "DEFINITION DU PAVE NUMERIQUE"
$	LIGNE_VIDE
$
$	AFFICHER "	HELP -> DEFINITION DU PAVE NUMERIQUE"
$	AFFICHER "	KP1  -> COMPILER L'INTERFACE"
$	AFFICHER "	KP2  -> COMPILER L'IMPLEMENTATION"
$	AFFICHER "	KP3  -> COMPILER TOUT"
$
$	LIGNE_VIDE
$
$	exit
$
$!====  FIN DU PROGRAMME  =====================================================
$
$ int:!COMPILER INTERFACE
$
$	AFFICHER  TITRE
$	AFFICHER  SOUSTITRE
$	LIGNE_VIDE
$
$	gosub cin!COMPILER INTERFACE
$
$ return
$
$ imp:!COMPILER IMPLEMENTATION
$
$	AFFICHER  TITRE
$	AFFICHER  SOUSTITRE
$	LIGNE_VIDE
$
$	gosub cim!COMPILER IMPLEMENTATION
$
$ return
$
$ tou:!TOUT COMPILER
$
$	AFFICHER  TITRE
$	AFFICHER  SOUSTITRE
$	LIGNE_VIDE
$
$	gosub cin!COMPILER INTERFACE
$	gosub cim!COMPILER IMPLEMENTATION
$
$ return
$
$ cin:!COMPILER INTERFACE
$
$	AFFICHER  "''VB'COMPILATION DU MODULE ''FIC_INT'''VN'"
$
$	SRC = "''FIC_INT'''VER'.PAS"
$	INT = "''FIC_INT'"
$
$	purge 'SRC'
$
$	AFFICHER "Compilation"
$
$	COMPILER/environment='INT'/object='INT'/nodiagnostics 'SRC'
$
$	purge 'INT'.PEN
$	purge 'INT'.OBJ
$
$	define sys$output nl:
$	define sys$error  nl:
$	delete 'INT'.DIA;*
$	deassign sys$error
$	deassign sys$output
$
$	AFFICHER "Insertion dans la librairie"
$
$	library/replace 'LIB' 'FIC_INT'
$
$ return
$
$ cim:!COMPILER IMPLEMENTATION
$
$	AFFICHER "''VB'COMPILATION DU MODULE ''FIC_IMP'''VN'"
$
$	SRC = "''FIC_IMP'''VER'.PAS"
$	IMP = "''FIC_IMP'"
$
$	purge 'SRC'
$
$	AFFICHER "Compilation"
$
$	COMPILER/noenvironment/object='IMP'/nodiagnostics 'SRC'
$
$	purge 'IMP'.OBJ
$
$	define sys$output nl:
$	define sys$error  nl:
$	delete 'INT'.DIA;*
$	deassign sys$error
$	deassign sys$output
$
$	AFFICHER "Insertion dans la librairie"
$
$	library/replace 'LIB' 'FIC_IMP'
$
$ return
$
$ gtm:!GET TIME
$
$	TIME  = f$time ()
$	DATE  = f$extract(0,11,TIME)
$	HEURE = f$extract(12,11,TIME)
$
$!	Conversion du format de time de  DD-MMM-YYYY HH:MM:SS.CC
$!				     en  DD-MMM-YYYY:HH:MM:SS.CC
$
$	TIME = "''DATE':''HEURE'"
$
$ return
$
